package com.unis.sxzcl.base.base_detail;

import com.chad.library.adapter.base.BaseProviderMultiAdapter;
import com.chad.library.adapter.base.module.LoadMoreModule;

import org.jetbrains.annotations.NotNull;

import java.util.List;

/**
 * 包名: com.unis.sxzcl.base
 * 类名: BaseDetailAdapter
 * 作用描述:
 * 创建人: mQ
 * 创建时间: 2020/12/2 15:29
 * 更新人:
 * 更新时间: 2020/12/2 15:29
 * 更新说明:
 * 版本号: 1.0
 */
public class BaseDetailAdapter extends BaseProviderMultiAdapter<BaseDetailBean> implements LoadMoreModule {

    public BaseDetailAdapter() {
        super();
        //添加多布局
        addItemProvider(new TitleItemProvider());
        addItemProvider(new TitleContentItemProvider());
        addItemProvider(new ImageItemProvider());
    }

    @Override
    protected int getItemType(@NotNull List<? extends BaseDetailBean> list, int i) {
        return list.get(i).getType();
    }
}
